# Type alias ExplorerSettings

ExplorerSettings: {
baseUrl: string;
endpoints: {
account: string;
tx: string;
};
name: string;
networkQuery?: {
Devnet?: string;
Mainnet?: string;
Testnet?: string;
default: Network;
};
}

#### Type declaration

- ##### baseUrl: string

- ##### endpoints: {
  account: string;
  tx: string;
  }

  - ##### account: string

  - ##### tx: string

- ##### name: string

- ##### `Optional` networkQuery?: {
  Devnet?: string;
  Mainnet?: string;
  Testnet?: string;
  default: Network;
  }

  - ##### `Optional` Devnet?: string

  - ##### `Optional` Mainnet?: string

  - ##### `Optional` Testnet?: string

  - ##### default: Network

- Defined in core/base/dist/esm/constants/explorer.d.ts:3

Generated using TypeDoc